Zend Framework 2.x LTS status


#1

I’m trying to determine the support status of a few Zend components. Long Term Support https://framework.zend.com/long-term-support says that Zend Framework 2.4 went out of support in March. Does that mean that only 3.x has current support, and Zend isn’t following the “current plus previous” support other projects often follow?

Second, how do I correlate an individual component with the core framework version? For example, zend-diactoros has a latest tag of 1.7.1. I thought I could perhaps correlate against the core framework’s composer.json, but it doesn’t list diactoros as a dependency.


#2

Really? :wink:


#3

It turns out that searching for dict doesn’t match diact. Thanks for pointing that out. :man_facepalming:

Is it reasonable to say that ZF 3.x will be supported for 2-3 years from whatever point a 4.x stable is tagged?